Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.configuration.controller
Class ControlConfigurationXmlParser

    java.lang.Object
      org.apache.torque.generator.configuration.controller.ControlConfigurationXmlParser

    public class ControlConfigurationXmlParser

extends Object

Parses the xml file which provides the control configuration.

Constructor Summary
`ControlConfigurationXmlParser()`

Method Summary
`ControlConfiguration` | `readControllerConfiguration(ConfigurationProvider configurationProvider, ProjectPaths projectPaths, ConfigurationHandlers configurationHandlers)` Reads the controller configuration out of a configurationProvider.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControlConfigurationXmlParser

    public ControlConfigurationXmlParser()

Method Detail

### readControllerConfiguration

    public ControlConfiguration readControllerConfiguration(ConfigurationProvider configurationProvider,
                                                            ProjectPaths projectPaths,
                                                            ConfigurationHandlers configurationHandlers)
                                                     throws ConfigurationException

  Reads the controller configuration out of a configurationProvider.

  Parameters:
    `configurationProvider` - the object for accessing the configuration, not null.
    `projectPaths` - the paths inside the configuration, not null.
    `configurationHandlers` - the available configuration handlers, not null.
  Returns:
    the Controller configuration.
  Throws:
    `ConfigurationException` - if an error in the configuration is encountered.
    `NullPointerException` - if an argument is null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.